<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-success px-3 py-2" (click)="newRow(); openModal(modal, 'Clasificación de Agencias');">
    <i class="fas fa-plus mr-2"></i>Nuevo
  </button>
  <button class="btn btn-danger ml-1 px-4 py-2" (click)="printPDF()">
    <i class="fas fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card">
    <div class="card-body">

        <kendo-grid [kendoGridBinding]="dataGrid"
                    [filter]="filter"
                    [filterable]="true"
                    [selectable]="true"
                    [navigable]="true"
                    [reorderable]="true"
                    [resizable]="true"
                    [sort]="sort"
                    [sortable]="true"
                    [groupable]="true"
                    (edit)="editRow($event); openModal(modal, 'Clasificación de Agencias')"
                    (remove)="deleteRow($event)" style="height: 69vh">
            <div *ngFor="let item of gridFields">
                <kendo-grid-column [field]="item.field" [title]="item.title" [width]="item.width"
                                   [filterable]="item.filtro"></kendo-grid-column>
            </div>
            <kendo-grid-column field="Inactivo" title="Inactivo" width="120">
                <ng-template kendoGridFilterCellTemplate>
                    <kendo-switch (valueChange)="switchChange($event)" offLabel="No" [checked]="checked" onLabel="Si">
                    </kendo-switch>
                </ng-template>
                <ng-template kendoGridCellTemplate let-dataItem>
                    <input type="checkbox" [checked]="dataItem.Inactivo" disabled/>
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-command-column title="Actions" width="220">
                <ng-template kendoGridCellTemplate let-isNew="isNew">
                    <button kendoGridEditCommand [primary]="true">Editar</button>
                    <button kendoGridRemoveCommand>Eliminar</button>
                </ng-template>
            </kendo-grid-command-column>
        </kendo-grid>

    </div>
    <ngx-loading [show]="loading" [config]="loadingColor"></ngx-loading>
</div>


<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title" id="modal-graf">{{ modalTitle }}</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="row" *ngIf="flagShowForm">
            <form [formGroup]="myFormGroup">
                <div class="row">
                    <div class="col-6 col-md-3 col-lg-3 col-xl-3">
                        <label for="Clasif">Clasif</label>
                        <input type="text" class="form-control" name="Clasif"
                               [(ngModel)]="myFormGroup.value.Clasif"
                               autofocus formControlName="Clasif" [readOnly]="flagEdit"
                               maxlength="6" pattern="[a-zA-Z0-9]*">
                    </div>
                    <div class="col-6 col-md-3 col-lg-3 col-xl-3">
                        <label for="Inactivo" class="ml-4 w-100">Inactivo</label>
                        <kendo-switch class="ml-4" name="Inactivo" [(ngModel)]="myFormGroup.value.Inactivo"
                                      formControlName="Inactivo"
                                      [onLabel]="'Si'" [offLabel]="'No'">
                        </kendo-switch>
                    </div>

                    <div class="col-12">
                        <label for="adesc" class="mt-1">Descripción</label>
                        <input type="text" class="form-control" name="adesc"
                               [(ngModel)]="myFormGroup.value.adesc"
                               formControlName="adesc"
                               maxlength="40" pattern="[a-zA-Z0-9 ]*">
                    </div>

                    <div class="col-12 col-md-6 col-lg-6 col-xl-6">
                        <label for="Proc" class="mt-1">Procedencia de Tarifa</label>
                        <select class="form-control" name="Proc" [(ngModel)]="myFormGroup.value.Proc"
                                formControlName="Proc">
                            <option value="">Seleccione</option>
                            <option *ngFor="let item of procTarifa" [value]="item.value">{{ item.desc }}</option>
                        </select>
                    </div>
                    <div class="col-12 col-md-6 col-lg-6 col-xl-6">
                        <label for="Cuenta" class="mt-1">Cuenta</label>
                        <input type="number" class="form-control" name="Cuenta"
                               [(ngModel)]="myFormGroup.value.Cuenta"
                               formControlName="Cuenta"
                               max="99999999999999">
                    </div>

                </div>
            </form>
    </div>
    <div class="row" *ngIf="flagShowForm">
        <div class="col-12">
                <h5 class="w-100 mt-1">Uso</h5>
            <div class="w-100 custom-control custom-checkbox" *ngFor="let util of ammanual;">
                <input type="checkbox" class="custom-control-input" [id]="util.id" [name]="util.id"
                        [(ngModel)]="util.value">
                <label class="custom-control-label" [for]="util.id">{{ util.desc }}</label>
            </div>
        </div>
    </div>

  </div>
  <div class="modal-footer">
      <button class="btn btn-success" (click)="guardarForm(); c();"
      [disabled]="myFormGroup.status === 'INVALID'">
        <i class="fas fa-save mr-2"></i>Guardar
      </button>
      <button class="btn btn-secondary" (click)="cerrarForm(); c('Close click')">Cerrar</button>
  </div>
</ng-template>
